<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

session_start(); 
if (!isset($_SESSION["lng"])) $_SESSION["lng"]="fr";
include_once("../lng/".$_SESSION["lng"].".inc.php"); // Paramètres de language
include_once("../inc/config.inc.php");
include_once("../inc/func_log.inc.php");
if (CheckURLLog(FALSE)==FALSE) header("Location: ../index.php");
if (CheckNivLog("9")==FALSE) header("Location: ../index.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/lst.inc.php");
Archivelog(@$_SESSION["code_log"]);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : <?PHP echo $title_txt_lst; ?></title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Scripts Javascript divers -->
<script language="JavaScript" src="../jscript/divers.js"></script>

</head>

<body onLoad="metFocus();">

<?php
include_once("../inc/entete.inc.php");
?>
<p align="center"><span class="titrepage"><?PHP echo $titlein_txt_lst; ?></span></p>
<?PHP
$fic_imp = "txt_lsti.php";
$url_add = "txt_maj.php?td=add&code=";

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);

$rech = cree_strrechlsttxt();
$rech .= crestr_triord($txt_titre_col,"txt_code",FALSE,$limit);
 
$rs = mysql_query($rech) or die(mysql_error());
$numrows = mysql_num_rows($rs); // Nombre de résultats à la requête

if($numrows == 0)
{
	retpp();
}
 else
{
	include_once("../inc/formr.inc.php"); 

	$rech = cree_strrechlsttxt();
	$rech .= crestr_triord($txt_titre_col,"txt_code",TRUE,$limit);
	$rs = mysql_query($rech) or die(mysql_error());

	// *** Pagination de pied
	pagine_lst($numrows,$limit);
	
	// *** Affichage de la table
	
	echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     
	
	// Création entête
	
	titlst($txt_titre_col);	
	echo "<th>".ucfirst($txt_ent_lst_clic)."</th>\n";
	
	$i = 0;
		
	while ($row = mysql_fetch_assoc($rs)) 
	{         
		// Création de l'entête de ligne (TR)
		creetrlst($i);
		
		echo "<td>".$row["txt_code"]."</td>\n";
		echo "<td>";
		$txt = "<strong>".$row["txt_desc"];
		$txt = ereg_replace(" :","</strong><br>",$txt);
		$txt = wordwrap($txt,30);
		echo $txt;
		echo "</td>\n";
		echo "<td>";
		$txt = tronquetxt(ereg_replace("<br />","<br>",$row["txt_texte"]),300); // 300 caractères maximum
		$txt = wordwrap($txt,100);
		if (trim($row["txt_entete"])<>"")
			echo strip_tags($row["txt_entete"])."<br><br>";
		echo $txt;
		echo "</td>\n";
	
		// CREATION lien dynamique sur icône (édition, suppression, etc...)
		$lst_maj = TRUE;
		$lst_recup = TRUE;
	
		echo "<td width=\"80\">";
		echo "<div align=\"center\">";
		echo "<a href=\"txt_maj.php?td=edit&code=".$row["txt_code"]."\"><img src=\"../img/edit.png\" border=\"0\" align=\"absmiddle\"></a>";
		echo " ";
		echo "<a href=\"txt_maj.php?td=add&code=".$row["txt_code"]."\"><img src=\"../img/recup.png\" border=\"0\" align=\"absmiddle\"></a>";
		if ($row["txt_delok"] == 1)
		{
			$lst_del = TRUE;
			echo " ";
			echo "<a href=\"txt_maj.php?td=del&code=".$row["txt_code"]."\"><img src=\"../img/del.png\" border=\"0\" align=\"absmiddle\"></a>";
		}
		echo "</div>";
		echo "</td>\n";
	
		echo "</tr>\n";
		
		$i++;    
	}  
	echo "</table>\n";
	// *** Fin affichage de la table
	
	mysql_free_result($rs);
	mysql_close($conn);  
	
	// *** Pagination de pied
	pagine_lst($numrows,$limit);
	
	$taille_piedla="";
	include_once("../inc/piedla.inc.php"); 
}
include_once("pied.php");
?>
